package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.UpdateApp;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2023-02-16
 */
public interface UpdateAppMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public UpdateApp selectUpdateAppById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param updateApp 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<UpdateApp> selectUpdateAppList(UpdateApp updateApp);

    /**
     * 新增【请填写功能名称】
     * 
     * @param updateApp 【请填写功能名称】
     * @return 结果
     */
    public int insertUpdateApp(UpdateApp updateApp);

    /**
     * 修改【请填写功能名称】
     * 
     * @param updateApp 【请填写功能名称】
     * @return 结果
     */
    public int updateUpdateApp(UpdateApp updateApp);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteUpdateAppById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUpdateAppByIds(Long[] ids);

    UpdateApp getInfo(UpdateApp updateApp);

    void updateUpdateAppAll(UpdateApp update);
}
